components:
  schemas:

    ClassResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        topic_id:
          type: string
          format: uuid
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        teacher_id:
          type: string
          format: uuid
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        main_student_id:
          type: string
          format: uuid
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        additional_student_ids:
          type: array
          items:
            type: string
            format: uuid
          example: ["018f22d5-4b3a-7c21-b93f-9a5aefc1b847", "018f22d5-4b3a-7c21-b93f-9a5aefc1b848"]

        link:
          type: string
          format: uri
          example: "https://meet.google.com/abc-def-ghi"

        name:
          type: string
          example: "Jhon - 01/12/2025 10:00 - Trigonometry"

        type:
          type: string
          enum: [individual, group]
          example: "individual"

        start_time:
          type: string
          format: date-time
          example: "2024-01-15T10:00:00Z"

        end_time:
          type: string
          format: date-time
          example: "2024-01-15T10:50:00Z"

        status:
          type: string
          enum: [scheduled, canceled, completed]
          example: "scheduled"

        payment_status:
          type: string
          enum: [pending, paid, refunded]
          example: "pending"

        created_at:
          type: string
          format: date-time
          example: "2024-01-01T10:00:00Z"

        updated_at:
          type: string
          format: date-time
          example: "2024-01-01T10:00:00Z"
